This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 236885 - RHEL5: After resume from S3 brightness control doesn't work on Toshiba Portege R200
RHEL5: After resume from S3 brightness control doesn't work on Toshiba Porteg...
Status: CLOSED CANTFIX
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel (Show other bugs)
5.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Prarit Bhargava
Martin Jenner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-04-18 05:12 EDT by Tom G. Christensen
Modified: 2008-07-15 08:16 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-07-15 08:16:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Tom G. Christensen 2007-04-18 05:12:00 EDT
Description of problem:
When resuming from suspend-to-ram on a Toshiba Portege R200 the brightness is
set very low.
Looking in /proc/acpi/toshiba/lcd shows the same brighness level as before
suspending so preservation of the brightness level would seem to work but has no
effect.
Any attempt to raise or lower the brightness using echo "brightness: <value>" >
/proc/acpi/toshiba/lcd has no effect after a resume.

Adjusting brightness works as expected before a suspend.

Version-Release number of selected component (if applicable):
2.6.18-8.1.1.el5

How reproducible:
100%

Steps to Reproduce:
1. Press Fn-F3 or run pm-suspend
2. Press powerbutton to resume
  
Actual results:
Actual brightness is set very low even though /proc/acpi/toshiba/lcd shows the
same values as before suspending.

Expected results:
Actual brightness reflects the value of /proc/acpi/toshiba/lcd instead of being
very low.

Additional info:
R200 has the i915 chipset.
Comment 5 Prarit Bhargava 2007-06-11 10:09:49 EDT
Doesn't appear to be a generic i915 chipset issue.  I've borrowed a laptop from
jmoyer here (which has the i915) and the display works after suspend-to-ram.

I'll try to hunt down a toshiba laptop ...

P.
Comment 6 Prarit Bhargava 2008-07-15 08:16:07 EDT
I'm closing this BZ out as CANTFIX.  We do not have HW to test with.

Note You need to log in before you can comment on or make changes to this bug.